Skip to main content
`Ctrl`+`K`

# VecRealPart

Replaces a complex vector with its real part

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRealPart(Vec v)

Collective

## Input Parameter

- v - the vector

## See Also

`Vec`, `VecNorm()`, `VecImaginaryPart()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

## Examples

src/ksp/ksp/tutorials/ex71.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages